package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.DemoSM4Utils;
import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

import java.util.HashMap;
import java.util.Map;

/**
 * 测试demo
 * 企业会员实名开户
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Member1020Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", TxUtils.genReqTraceNum());
        bizParameter.addParam("signNum", "71100");
        bizParameter.addParam("memberRole", "分账方");
    //    bizParameter.addParam("enterpriseNature", "1");  // 1企业，2个体户，3事业单位
        bizParameter.addParam("notifyUrl", "http://test.allinpay.com/open/testNotify");
        Map<String, Object> enterpriseBaseInfo = new HashMap<>(); //企业基本信息
        enterpriseBaseInfo.put("enterpriseName", "竹溪县子怡鞋店");
        enterpriseBaseInfo.put("enterpriseNature", "2");
        enterpriseBaseInfo.put("enterpriseAdress", "上海滩");
        enterpriseBaseInfo.put("addressCode", "110101");   //地区码
        enterpriseBaseInfo.put("unifiedSocialCredit", "92420324MA4D68J28J");
        enterpriseBaseInfo.put("busLicenseValidate", "9999-12-31");
        enterpriseBaseInfo.put("legalPersonName", "王三华");
        enterpriseBaseInfo.put("legalPersonCerType", "1");
        enterpriseBaseInfo.put("legalPersonCerNum", DemoSM4Utils.encryptEcb(demoConfig.getSecretKey(),"51370119380325580x"));
        enterpriseBaseInfo.put("idValidateStart", "2014-03-28");
        enterpriseBaseInfo.put("idValidateEnd", "2034-02-23");
        enterpriseBaseInfo.put("legalPersonPhone", "18888888888");
        bizParameter.addMapParam("enterpriseBaseInfo", enterpriseBaseInfo);
        Map<String, Object> bankAcctDetail = new HashMap<>();  //银行账户信息
        bankAcctDetail.put("acctAttr", "0"); // 0对私，1对公
        bankAcctDetail.put("acctNum", DemoSM4Utils.encryptEcb(demoConfig.getSecretKey(), "6210261104003846219"));
        bankAcctDetail.put("bankReservePhone", "18888888888");//银行预留手机，对私必填
     //   bankAcctDetail.put("openBankNo", "01020000");//银行代码，对公必填
        bankAcctDetail.put("openBankBranchName", "中国建设银行上海滩分行");
        bankAcctDetail.put("payBankNumber", "100504100265");//支行行号
        bankAcctDetail.put("openBankProvince", "上海市");
        bankAcctDetail.put("openBankCity", "上海市");
        bizParameter.addMapParam("bankAcctDetail", bankAcctDetail);

        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("1020", bizParameter, demoConfig.getMemberUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
